package mega.privacy.android.app.components.twemoji.category;

import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;

import mega.privacy.android.app.R;
import mega.privacy.android.app.components.twemoji.emoji.Emoji;
import mega.privacy.android.app.components.twemoji.emoji.EmojiCategory;

public final class FoodCategory implements EmojiCategory {
  private static final Emoji[] DATA = new Emoji[] {
    new Emoji(0x1f34f, R.drawable.emoji_twitter_1f34f),
    new Emoji(0x1f34e, R.drawable.emoji_twitter_1f34e),
    new Emoji(0x1f350, R.drawable.emoji_twitter_1f350),
    new Emoji(0x1f34a, R.drawable.emoji_twitter_1f34a),
    new Emoji(0x1f34b, R.drawable.emoji_twitter_1f34b),
    new Emoji(0x1f34c, R.drawable.emoji_twitter_1f34c),
    new Emoji(0x1f349, R.drawable.emoji_twitter_1f349),
    new Emoji(0x1f347, R.drawable.emoji_twitter_1f347),
    new Emoji(0x1f353, R.drawable.emoji_twitter_1f353),
    new Emoji(0x1f348, R.drawable.emoji_twitter_1f348),
    new Emoji(0x1f352, R.drawable.emoji_twitter_1f352),
    new Emoji(0x1f351, R.drawable.emoji_twitter_1f351),
    new Emoji(0x1f34d, R.drawable.emoji_twitter_1f34d),
    new Emoji(0x1f95d, R.drawable.emoji_twitter_1f95d),
    new Emoji(0x1f951, R.drawable.emoji_twitter_1f951),
    new Emoji(0x1f345, R.drawable.emoji_twitter_1f345),
    new Emoji(0x1f346, R.drawable.emoji_twitter_1f346),
    new Emoji(0x1f952, R.drawable.emoji_twitter_1f952),
    new Emoji(0x1f955, R.drawable.emoji_twitter_1f955),
    new Emoji(0x1f33d, R.drawable.emoji_twitter_1f33d),
    new Emoji(0x1f336, R.drawable.emoji_twitter_1f336),
    new Emoji(0x1f954, R.drawable.emoji_twitter_1f954),
    new Emoji(0x1f360, R.drawable.emoji_twitter_1f360),
    new Emoji(0x1f330, R.drawable.emoji_twitter_1f330),
    new Emoji(0x1f95c, R.drawable.emoji_twitter_1f95c),
    new Emoji(0x1f36f, R.drawable.emoji_twitter_1f36f),
    new Emoji(0x1f950, R.drawable.emoji_twitter_1f950),
    new Emoji(0x1f35e, R.drawable.emoji_twitter_1f35e),
    new Emoji(0x1f956, R.drawable.emoji_twitter_1f956),
    new Emoji(0x1f9c0, R.drawable.emoji_twitter_1f9c0),
    new Emoji(0x1f95a, R.drawable.emoji_twitter_1f95a),
    new Emoji(0x1f373, R.drawable.emoji_twitter_1f373),
    new Emoji(0x1f953, R.drawable.emoji_twitter_1f953),
    new Emoji(0x1f95e, R.drawable.emoji_twitter_1f95e),
    new Emoji(0x1f364, R.drawable.emoji_twitter_1f364),
    new Emoji(0x1f357, R.drawable.emoji_twitter_1f357),
    new Emoji(0x1f356, R.drawable.emoji_twitter_1f356),
    new Emoji(0x1f355, R.drawable.emoji_twitter_1f355),
    new Emoji(0x1f32d, R.drawable.emoji_twitter_1f32d),
    new Emoji(0x1f354, R.drawable.emoji_twitter_1f354),
    new Emoji(0x1f35f, R.drawable.emoji_twitter_1f35f),
    new Emoji(0x1f959, R.drawable.emoji_twitter_1f959),
    new Emoji(0x1f32e, R.drawable.emoji_twitter_1f32e),
    new Emoji(0x1f32f, R.drawable.emoji_twitter_1f32f),
    new Emoji(0x1f957, R.drawable.emoji_twitter_1f957),
    new Emoji(0x1f958, R.drawable.emoji_twitter_1f958),
    new Emoji(0x1f35d, R.drawable.emoji_twitter_1f35d),
    new Emoji(0x1f35c, R.drawable.emoji_twitter_1f35c),
    new Emoji(0x1f372, R.drawable.emoji_twitter_1f372),
    new Emoji(0x1f365, R.drawable.emoji_twitter_1f365),
    new Emoji(0x1f363, R.drawable.emoji_twitter_1f363),
    new Emoji(0x1f371, R.drawable.emoji_twitter_1f371),
    new Emoji(0x1f35b, R.drawable.emoji_twitter_1f35b),
    new Emoji(0x1f359, R.drawable.emoji_twitter_1f359),
    new Emoji(0x1f35a, R.drawable.emoji_twitter_1f35a),
    new Emoji(0x1f358, R.drawable.emoji_twitter_1f358),
    new Emoji(0x1f9c1, R.drawable.emoji_twitter_1f9c1),
    new Emoji(0x1f9c2, R.drawable.emoji_twitter_1f9c2),
    new Emoji(0x1f95f, R.drawable.emoji_twitter_1f95f),
    new Emoji(0x1f96a, R.drawable.emoji_twitter_1f96a),
    new Emoji(0x1f96b, R.drawable.emoji_twitter_1f96b),
    new Emoji(0x1f96c, R.drawable.emoji_twitter_1f96c),
    new Emoji(0x1f96d, R.drawable.emoji_twitter_1f96d),
    new Emoji(0x1f96e, R.drawable.emoji_twitter_1f96e),
    new Emoji(0x1f96f, R.drawable.emoji_twitter_1f96f),
    new Emoji(0x1f960, R.drawable.emoji_twitter_1f960),
    new Emoji(0x1f961, R.drawable.emoji_twitter_1f961),
    new Emoji(0x1f962, R.drawable.emoji_twitter_1f962),
    new Emoji(0x1f963, R.drawable.emoji_twitter_1f963),
    new Emoji(0x1f964, R.drawable.emoji_twitter_1f964),
    new Emoji(0x1f965, R.drawable.emoji_twitter_1f965),
    new Emoji(0x1f966, R.drawable.emoji_twitter_1f966),
    new Emoji(0x1f967, R.drawable.emoji_twitter_1f967),
    new Emoji(0x1f968, R.drawable.emoji_twitter_1f968),
    new Emoji(0x1f969, R.drawable.emoji_twitter_1f969),
    new Emoji(0x1f362, R.drawable.emoji_twitter_1f362),
    new Emoji(0x1f361, R.drawable.emoji_twitter_1f361),
    new Emoji(0x1f367, R.drawable.emoji_twitter_1f367),
    new Emoji(0x1f368, R.drawable.emoji_twitter_1f368),
    new Emoji(0x1f366, R.drawable.emoji_twitter_1f366),
    new Emoji(0x1f370, R.drawable.emoji_twitter_1f370),
    new Emoji(0x1f382, R.drawable.emoji_twitter_1f382),
    new Emoji(0x1f36e, R.drawable.emoji_twitter_1f36e),
    new Emoji(0x1f36d, R.drawable.emoji_twitter_1f36d),
    new Emoji(0x1f36c, R.drawable.emoji_twitter_1f36c),
    new Emoji(0x1f36b, R.drawable.emoji_twitter_1f36b),
    new Emoji(0x1f37f, R.drawable.emoji_twitter_1f37f),
    new Emoji(0x1f369, R.drawable.emoji_twitter_1f369),
    new Emoji(0x1f36a, R.drawable.emoji_twitter_1f36a),
    new Emoji(0x1f95b, R.drawable.emoji_twitter_1f95b),
    new Emoji(0x1f37c, R.drawable.emoji_twitter_1f37c),
    new Emoji(0x2615, R.drawable.emoji_twitter_2615),
    new Emoji(0x1f375, R.drawable.emoji_twitter_1f375),
    new Emoji(0x1f376, R.drawable.emoji_twitter_1f376),
    new Emoji(0x1f37a, R.drawable.emoji_twitter_1f37a),
    new Emoji(0x1f37b, R.drawable.emoji_twitter_1f37b),
    new Emoji(0x1f942, R.drawable.emoji_twitter_1f942),
    new Emoji(0x1f377, R.drawable.emoji_twitter_1f377),
    new Emoji(0x1f943, R.drawable.emoji_twitter_1f943),
    new Emoji(0x1f378, R.drawable.emoji_twitter_1f378),
    new Emoji(0x1f379, R.drawable.emoji_twitter_1f379),
    new Emoji(0x1f37e, R.drawable.emoji_twitter_1f37e),
    new Emoji(0x1f944, R.drawable.emoji_twitter_1f944),
    new Emoji(0x1f374, R.drawable.emoji_twitter_1f374),
    new Emoji(0x1f37d, R.drawable.emoji_twitter_1f37d)
  };

  @Override @NonNull public Emoji[] getEmojis() {
    return DATA;
  }

  @Override @DrawableRes public int getIcon() {
    return R.drawable.emoji_twitter_category_food;
  }
}
